@font-face {
  font-family: 'UnidreamLED';
  src: url('https://cdn.jsdelivr.net/gh/Zfour/Butterfly-clock/clock/fonts/UnidreamLED.ttf') format('truetype');
  font-display: swap;
}

.local-clock-card {
  padding: 0 !important;
  overflow: hidden;
}

.local-clock-screen {
  box-sizing: border-box;
  height: 153px;
  margin: 15px;
  padding: 20px;
  border-radius: 8px;
  color: #000;
  background-color: #ececec;
  box-shadow: inset 3px 3px 18px 0 rgba(50, 50, 50, .4);
}

.local-clock-card .clock-row {
  display: flex;
  align-items: center;
  justify-content: space-between;
  flex-wrap: nowrap;
  gap: 6px;
  color: inherit;
  font-family: 'UnidreamLED', Consolas, 'Courier New', monospace;
  font-size: 13px;
  font-weight: 400;
  white-space: nowrap;
}

.card-clock-clockdate,
.card-clock-zone {
  flex-basis: calc(40% - 5px);
  text-align: left;
}

.card-clock-label,
.card-clock-location {
  flex-basis: calc(30% - 5px);
  text-align: center;
}

.card-clock-period,
.card-clock-greeting {
  flex-basis: calc(30% - 5px);
  overflow: hidden;
  text-align: right;
  text-overflow: ellipsis;
}

.card-clock-time {
  flex: 1;
  font-family: 'UnidreamLED', Consolas, 'Courier New', monospace;
  font-size: 38px;
  line-height: 1.5;
  text-align: center;
}

[data-theme='dark'] .local-clock-screen {
  color: #e8e8e8;
  background-color: #252b32;
  box-shadow: inset 3px 3px 18px 0 rgba(0, 0, 0, .7);
}

@media screen and (max-width: 900px) {
  .local-clock-card {
    display: none;
  }
}
